/* Root variables */
:root {
    --primary: #B28D34;
    --secondary: #1A1A1A;
    --tertiary: #ffffff;
}

/* Fonts */
@font-face {
    font-family: 'Eagle Lake';
    src: url(/fonts/EagleLake-Regular.ttf);
    font-display: swap;
}
@font-face {
    font-family: 'Cardo Regular';
    src: url(/fonts/Cardo-Regular.ttf);
    font-display: swap;
}
@font-face {
    font-family: 'Cardo Bold';
    src: url(/fonts/Cardo-Bold.ttf);
    font-display: swap;
}
@font-face {
    font-family: 'Roboto Bold';
    src: url(/fonts/Roboto-Bold.ttf);
    font-display: swap;
}
@font-face {
    font-family: 'Material Symbols Outlined';
    font-style: normal;
    src: url(/fonts/MaterialSymbolsOutlined.ttf);
    font-display: swap;
}
.material-symbols-outlined {
    font-family: 'Material Symbols Outlined';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
    -moz-osx-font-smoothing: grayscale;
    font-feature-settings: 'liga';
}

/* Base styles */
body {
    margin: 0;
    background: var(--secondary);
}
p {
    font-family: 'Cardo Regular', sans-serif;
    font-size: 1rem;
    color: var(--tertiary);
    line-height: 1.4rem;
    margin: 0;
    margin-bottom: 20px;
}
button, .btn {
    display: flex;
    justify-content: center;
    width: 100%;
    padding: 8px;
    background: transparent;
    font-family: 'Roboto Bold', sans-serif;
    font-size: 1rem;
    color: var(--tertiary);
    text-decoration: none;
    border: 1px solid var(--tertiary);
    border-radius: 10px;
    box-sizing: border-box;
    cursor: pointer;
    transition: all 0.2s;
}
button:hover, .btn:hover {
    background: var(--tertiary);
    color: var(--primary);
}

/* General Classes */
.main-padding {
    padding: 0 35px;
}
@media (min-width: 768px) {
    .main-padding {
        padding: 0 150px;
    }
}
.heading {
    font-family: 'Eagle Lake', sans-serif;
    font-size: 20px;
    font-weight: 400;
    text-align: center;
    color: var(--tertiary);
    margin: 0;
}
.separator {
    width: 150px;
    margin: 0 auto;
    margin-top: 15px;
    margin-bottom: 20px;
    border-top: 1px solid var(--primary);
}

/* Navbar */
.navbar {
    display: flex;
    align-items: center;
    padding: 10px 16px;
}
.navbar span {
    font-family: 'Eagle Lake', sans-serif;
    font-size: 24px;
    color: var(--tertiary);
}

/* Hero Area */
.hero-wrapper {
    display: flex;
    flex-flow: column;
    align-items: center;
}
.hero-wrapper img {
    width: 100%;
    height: auto;
    border-top: 2px solid var(--primary);
    border-bottom: 2px solid var(--primary);
}
.coming-soon {
    width: fit-content;
    padding: 10px 25px;
    background: var(--primary);
    border-radius: 0 0 5px 5px;
}
.coming-soon span {
    font-family: 'Cardo Bold', sans-serif;
    font-size: 18px;
    color: var(--tertiary);
}

/* About Area */
#about {
    display: flex;
    flex-flow: column;
    align-items: center;
    margin-top: 40px;
}
#about p {
    text-align: center;
}
#about p:last-child {
    margin-bottom: 0;
}

/* Play Area */
#play {
    width: 90%;
    margin: 0 auto;
    margin-top: 35px;
}
#play button {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 100%;
    background: var(--primary);
    font-family: 'Roboto Bold', sans-serif;
    font-size: 18px;
    color: var(--tertiary);
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: none;
    cursor: pointer;
    transition: all 0.2s;
}
#play button:hover {
    background: var(--tertiary);
    color: var(--primary);
}

/* Help Out Area */
#help {
    margin-top: 50px;
}
#help > span {
    font-family: 'Roboto Bold', sans-serif;
    font-size: 14px;
    color: var(--tertiary);
    margin-top: 10px;
}
.list-item {
    display: flex;
    align-items: center;
    margin-top: 8px;
}
.list-item span {
    font-size: 20px;
    color: var(--tertiary);
}
.list-item p {
    line-height: normal;
    margin: 0;
    margin-left: 10px;
}
#help .btn {
    margin-top: 20px;
}

/* Contact Area */
#contact {
    margin-top: 50px;
}
input, textarea {
    min-width: 100%;
    max-width: 100%;
    border: none;
    border-radius: 5px;
    padding: 8px 14px;
    margin-bottom: 5px;
    background-color: #CFCFC5;
    font-family: 'Roboto Regular', sans-serif;
    font-size: 16px;
    color: #696969;
    box-sizing: border-box;
}
input:focus, textarea:focus {
    outline: 2px solid #696969;
    outline-offset: 0px;
}
#contact form {
    margin-top: 15px;
}
#contact form textarea {
    height: 120px;
}
#contact form button {
    margin-top: 15px;
}
#contact form button:disabled {
    opacity: 0.5;
    cursor: not-allowed;
    background: var(--tertiary);
    color: var(--primary);
}
#response {
    color: var(--tertiary);
    margin: 0 5px;
    font-style: italic;
}

/* Partners Area */
#partners {
    display: flex;
    justify-content: center;
    gap: 8px;
    margin: 0 -35px;
    margin-top: 50px !important;
    padding-top: 14px;
    background: var(--primary);
    color: var(--tertiary);
}
#partners h3 {
    margin: 0;
    margin-left: 8%;
    font-family: 'Eagle Lake', sans-serif;
    font-size: 24px;
    font-weight: 400;
}
.pixidust-logo {
    width: 170px;
    height: auto;
    margin-bottom: 4px;
}
@media (min-width: 768px) {
    #partners {
        margin: 0 -150px;
    }
}

.footer {
    display: inline-block;
    width: 100%;
    margin: 15px 0;
    font-family: 'Eagle Lake', sans-serif;
    font-size: 12px;
    text-align: center;
    color: var(--tertiary);
}